| OpenCV 5.0.0alpha Open Source Computer Vision

Loading...
Searching...
No Matches
Public Member Functions | List of all members
cv::cuda::StereoBM Class Referenceabstract
CUDA-accelerated Computer Vision » Stereo Correspondence

Class computing stereo correspondence (disparity map) using the block matching algorithm. : More...

`#include <opencv2/cudastereo.hpp>`

Collaboration diagram for cv::cuda::StereoBM:

## Public Member Functions
virtual void | compute (InputArray left, InputArray right, OutputArray disparity, Stream &stream)=0
Public Member Functions inherited from cv::StereoBM
virtual int | getPreFilterCap () const =0
virtual int | getPreFilterSize () const =0
virtual int | getPreFilterType () const =0
virtual Rect | getROI1 () const =0
virtual Rect | getROI2 () const =0
virtual int | getSmallerBlockSize () const =0
virtual int | getTextureThreshold () const =0
virtual int | getUniquenessRatio () const =0
virtual void | setPreFilterCap (int preFilterCap)=0
virtual void | setPreFilterSize (int preFilterSize)=0
virtual void | setPreFilterType (int preFilterType)=0
virtual void | setROI1 (Rect roi1)=0
virtual void | setROI2 (Rect roi2)=0
virtual void | setSmallerBlockSize (int blockSize)=0
virtual void | setTextureThreshold (int textureThreshold)=0
virtual void | setUniquenessRatio (int uniquenessRatio)=0
Public Member Functions inherited from cv::StereoMatcher
virtual void | compute (InputArray left, InputArray right, OutputArray disparity)=0
| Computes disparity map for the specified stereo pair.
virtual int | getBlockSize () const =0
virtual int | getDisp12MaxDiff () const =0
virtual int | getMinDisparity () const =0
virtual int | getNumDisparities () const =0
virtual int | getSpeckleRange () const =0
virtual int | getSpeckleWindowSize () const =0
virtual void | setBlockSize (int blockSize)=0
virtual void | setDisp12MaxDiff (int disp12MaxDiff)=0
virtual void | setMinDisparity (int minDisparity)=0
virtual void | setNumDisparities (int numDisparities)=0
virtual void | setSpeckleRange (int speckleRange)=0
virtual void | setSpeckleWindowSize (int speckleWindowSize)=0
Public Member Functions inherited from cv::Algorithm
| Algorithm ()
virtual | ~Algorithm ()
virtual void | clear ()
| Clears the algorithm state.
virtual bool | empty () const
| Returns true if the Algorithm is empty (e.g. in the very beginning or after unsuccessful read.
virtual String | getDefaultName () const
virtual void | read (const FileNode &fn)
| Reads algorithm parameters from a file storage.
virtual void | save (const String &filename) const
virtual void | write (FileStorage &fs) const
| Stores algorithm parameters in a file storage.
void | write (FileStorage &fs, const String &name) const

## Additional Inherited Members
Public Types inherited from cv::StereoBM
enum | { PREFILTER_NORMALIZED_RESPONSE = 0 , PREFILTER_XSOBEL = 1 }
Public Types inherited from cv::StereoMatcher
enum | { DISP_SHIFT = 4 , DISP_SCALE = (1 << DISP_SHIFT) }
Static Public Member Functions inherited from cv::StereoBM
static Ptr< StereoBM > | create (int numDisparities=0, int blockSize=21)
| Creates StereoBM object.
Static Public Member Functions inherited from cv::Algorithm
template<typename _Tp >
static Ptr< _Tp > | load (const String &filename, const String &objname=String())
| Loads algorithm from the file.
template<typename _Tp >
static Ptr< _Tp > | loadFromString (const String &strModel, const String &objname=String())
| Loads algorithm from a String.
template<typename _Tp >
static Ptr< _Tp > | read (const FileNode &fn)
| Reads algorithm from the file node.
Protected Member Functions inherited from cv::Algorithm
void | writeFormat (FileStorage &fs) const

## Detailed Description

Class computing stereo correspondence (disparity map) using the block matching algorithm. :

See also
  StereoBM

## Member Function Documentation

## ◆ compute()

virtual void cv::cuda::StereoBM::compute | ( | InputArray | left,
|  | InputArray | right,
|  | OutputArray | disparity,
|  | Stream & | stream )
| pure virtual

The documentation for this class was generated from the following file:

- opencv2/cudastereo.hpp